{% extends "base.html" %}
{% load i18n mezzanine_tags staticfiles %}

{% block meta_title %}
    {% if page %}
        {{ page.meta_title }}
    {% else %}
        {% trans "Prision Units" %}
    {% endif %}
{% endblock %}

{% block extra_css %}
  <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.0/dist/leaflet.css"
   integrity="sha512-Rksm5RenBEKSKFjgI3a41vrjkw4EVPlJ3+OiI65vTjIdo9brlAacEuKOiQ5OFh7cOI1bkDwLqdLw3Zg0cRJAAQ=="
   crossorigin=""/>
  <link rel="stylesheet" href="https://unpkg.com/leaflet.markercluster@1.2.0/dist/MarkerCluster.css"/>
  <!-- <link rel="stylesheet" href="https://unpkg.com/leaflet.markercluster@1.2.0/dist/MarkerCluster.Default.css"/> -->
{% endblock %}

{% block extra_js %}
  <script src="https://unpkg.com/leaflet@1.3.0/dist/leaflet.js"
    integrity="sha512-C7BBF9irt5R7hqbUm2uxtODlUVs+IsNu2UULGuZN7gM+k/mmeG4xvIEac01BtQa4YIkUpp23zZC4wIwuXaPMQA=="
    crossorigin=""></script>
  <script src="https://unpkg.com/leaflet.markercluster@1.2.0/dist/leaflet.markercluster.js"></script>
  <script src="https://unpkg.com/vue@2.5.13/dist/vue.js"></script>
  <script src="{% static "js/map.js" %}"></script>
{% endblock %}

{% block top %}
<div class="container">
  {% include 'carceropolis/includes/menu_dados.html' %}
</div>
{% endblock %}

{% block main %}

<script>
 var unidades = {{ unidades }}
</script>

<script id="perc-bar-template" type="text/x-template">
  <div class="perc-bar">
    <div class="inner-bar"
        :style="{width: value + '%', height: '100%', 'background-color': color}">
        <span v-if="labelInside" :style="{color: 'white'}">
            <span class="value">[[ value ]]%</span> <span class="label-of">[[ label ]]</span>
        </span>
    </div>
    <span v-if="!labelInside" :style="{color: color}">
        <span class="value">[[ value ]]%</span> <span class="label-of">[[ label ]]</span>
    </span>
  </div>
</script>

<script id="age-pyramid-template" type="text/x-template">
  <div class="row">
    <table class="piramide-idade">
      <thead>
        <tr>
          <th>(%) Homens</th>
          <th>Mulheres (%)</th>
          <th>Idade</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="age in data.ages">
          <td>
            <perc-bar :value="age.male"
                      :key="age.range"
                      color="rgba(51,1,41,1)"></perc-bar>
          </td>
          <td>
            <perc-bar :value="age.female"
                      :key="age.range"
                      color="rgb(171,14,0)"></perc-bar>
          </td>
          <td>[[ age.range ]]</td>
        </tr>
        <tr class="total">
          <td>
            <perc-bar :value="data.total.perc.male"
                      :label="data.total.abs.male"
                      color="rgba(51,1,41,1)"></perc-bar>
          </td>
          <td>
            <perc-bar :value="data.total.perc.female"
                      :label="data.total.abs.female"
                      color="rgb(171,14,0)"></perc-bar>
          </td>
          <td>Total</td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <td colspan="3">
            <span>Idade média na unidade prisional:</span> [[ data.idade_media ]] anos
          </td>
        </tr>
      </tfoot>
    </table>
  </div>
</script>

<script id="detailed-info-template" type="text/x-template">
  <div>
    <section class="informacoes">
      <dl class="vagas">
        <dd>[[ card_data.pop_total ]]</dd> <dt>pessoas</dt>
        <dd>[[ card_data.vagas ]]</dd> <dt>vagas</dt>
      </dl>
      <dl class="gestao">
        <dt>Gestão da Unidade:</dt>
        <dd>[[ card_data.tipo_gestao ]]</dd>
      </dl>
      <dl class="qualidade">
        <dt>
          Índice da Qualidade <br>da informação 
          <a href="/metodologia#ITQI" class="btn question">
            <span class="glyphicon glyphicon-question-sign"></span>
          </a>:
      </dt>
        <dd>[[ parseFloat(card_data.qualidade_info.replace(",", ".")).toFixed(2).toLocaleString("pt-br") ]]</dd>
      </dl>
      <dl v-if="card_data.pop_perc.provisoria || card_data.pop_perc.provisoria==0" class="provisorio">
        <dd>[[ card_data.pop_perc.provisoria ]]%</dd> <dt>de presos(as) provisórios(as)</dt>
      </dl>
    </section>
    <section class="demografia">
      <div class="col-lg-5 etnico">
        <div class="row">
          <h3>Demografia da Unidade</h3>
          <!-- Population Origin -->
          <perc-bar v-for="pop in card_data.pop_perc.origem"
                    :value="pop.value"
                    :label="pop.label"
                    :key="pop.label"
                    color="rgb(165, 165, 165)">
          </perc-bar>
        </div>
        <div class="row">
          <!-- Population Color -->
          <perc-bar v-for="pop in card_data.pop_perc.cor"
                    :value="pop.value"
                    :label="pop.label"
                    :key="pop.label"
                    :color="pop.color">
          </perc-bar>
        </div>
      </div>
      <div class="col-lg-7 etario">
        <age-pyramid :data="card_data.pyramid"></age-pyramid>
      </div>
    </section>
  </div>
</script>

<section class="container dados-interna unidades-prisionais" id="map-vue-app">
  <h1>1. Unidades Prisionais no Brasil</h1>
  <div class="col-text-2">
    <p>
O Brasil é um dos países que mais encarcera pessoas no mundo. Em um contexto de
crescente encarceramento, as unidades prisionais se apresentam como espaços
superlotados, que não conseguem atender à demanda de inclusão de pessoas, e onde
se proliferam problemas de infraestrutura que favorecem as reiteradas violações de
direitos das pessoas privadas de liberdade.
<br/>
Nesta seção, serão analisados dados relativos às unidades prisionais brasileiras,
compostos por um panorama geral sobre a população que se encontra nestes espaços,
informações sobre gestão e acesso às unidades, além de informações sobre a
infraestrutura prisional e sua relação com a capacidade de garantir uma vida digna às
pessoas encarceradas. Mais do que avaliar a infraestrutura dos estabelecimentos
penais, o olhar sobre os espaços disponíveis relaciona-se diretamente às políticas
públicas que serão acessíveis à população privada de liberdade e à qualidade dos
serviços que serão prestados a esta população.
<br/>
Não serão consideradas nesta seção as unidades de monitoração eletrônica, por
compreendermos que estes espaços não se destinam à custódia de pessoas.
    </p>
  </div>

  <div class="mapa">
    <div class="col-md-8">
      <!-- Map -->
      <div id="map" v-show="showCompleteInfo == false" aria-live="polite"></div>
      <!-- Detailed info about unidade -->
      <button class="btn detailed-info bracket" v-show="showCompleteInfo" @click="showCompleteInfo = false" title="Fechar informações detalhadas da unidade">x</button>
      <detailed-info v-if="showCompleteInfo" class="completeInfoPannel" :card_data="card_data" aria-live="polite">
      </detailed-info>
    </div>
    <div class="col-md-4">
      <!-- Map side pannel -->
      <div class="map-side-pannel">
        <!-- Filter -->

        <div class="input-group">
          <input autofocus title="Filtro" placeholder="Filtre por nome, sigla ou endereço" v-model.trim="filterStr" type="search" class="form-control">
          <span class="input-group-btn">
            <button @click="filterStr = ``" class="btn limpar" title="limpar filtros" data-toggle="tooltip" data-placement="bottom">
              <span class="glyphicon glyphicon-trash"></span>
            </button>
          </span>
        </div>

        <!-- Short info about unidade -->
        <section v-if="unidade" class="unidade-info" aria-live="polite">
          <h2>[[ unidade.nome_unidade ]]</h2>
          <p v-if="unidade.nome_logradouro">
            [[ formatAddress(unidade) ]]
          </p>
          <dl class="contato">
            <dt v-if="unidade.email">E-mail:</dt>
            <dd v-if="unidade.email"><a :href="formatMailto(unidade.email)">[[ unidade.email ]]</a></dd>

            <dt v-if="unidade.telefone">Fone:</dt>
            <dd v-if="unidade.telefone" >[[ formatFone(unidade.telefone, unidade.ddd) ]]</dd>

            <dt v-if="unidade.visitacao">Visitação:</dt>
            <dd v-if="unidade.visitacao">[[ unidade.visitacao ]]</dd>
          </dl>

          <button v-show="!showCompleteInfo" class="btn pull-right bracket" @click="showCard">saiba mais</button>
          <div v-if="showCompleteInfo" aria-live="polite">
            <h3>Índices de Infraestrutura Prisional 
                <a href="/metodologia#iigd" class="btn question">
                    <span class="glyphicon glyphicon-question-sign"></span>
                </a>:
            </h3>
            <dl class="indices">
              <dt>Educação:</dt>
              <dd>[[card_data.indices.educacao.toLocaleString('pt-br')]]</dd>
              <dt>Trabalho:</dt>
              <dd>[[card_data.indices.trabalho.toLocaleString('pt-br')]]</dd>
              <dt>Saúde:</dt>
              <dd>[[card_data.indices.saude.toLocaleString('pt-br')]]</dd>
              <dt>Jurídico:</dt>
              <dd :data-juridico="card_data.indices.juridico.toString()">[[ formatBool(card_data.indices.juridico) ]]</dd>
            </dl>
          </div>
        </section>
      </div>
    </div>

  </div>
</section>

{% endblock %}
